igeo

## Interface I3DFieldI

- All Superinterfaces:
    IFieldI
  All Known Implementing Classes:
    I3DField, IAttractor, IAttractorGeo, ICompoundField, ICurveAttractorField, ICurveAttractorField.ICurveAttractorFieldGeo, ICurveCurlField, ICurveCurlField.ICurveCurlFieldGeo, ICurveFieldGeo, ICurvePositionField, ICurvePositionField.ICurvePositionFieldGeo, ICurveTangentField, ICurveTangentField.ICurveTangentFieldGeo, IGravity, ILinkedNodeMeshField, ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo, IMeshFieldGeo, IMeshNormalField, IMeshNormalField.IMeshNormalFieldGeo, IPlanarAttractor, IPlanarAttractor.IPlanarAttractorGeo, IPlaneAttractorField, IPlaneAttractorField.IPlaneAttractorFieldGeo, IPlaneFieldGeo, IPointCloudFieldGeo, IPointCurlField, IPointCurlFieldGeo, IPointFieldGeo, ISurfaceAttractorField, ISurfaceAttractorField.ISurfaceAttractorFieldGeo, ISurfaceFieldGeo, ISurfaceNormalField, ISurfaceNormalField.ISurfaceNormalFieldGeo, ISurfacePositionField, ISurfacePositionField.ISurfacePositionFieldGeo, ISurfaceSlopeField, ISurfaceSlopeField.ISurfaceSlopeFieldGeo, ISurfaceUTangentField, ISurfaceUTangentField.ISurfaceUTangentFieldGeo, ISurfaceVTangentField, ISurfaceVTangentField.ISurfaceVTangentFieldGeo

      public interface I3DFieldI
      extends IFieldI

  abstract field function
  Author:
    Satoru Sugihara

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVecI` | `get(IVecI pos)` get field value at 3D location
    `IVecI` | `get(IVecI pos, IVecI vel)` get field value at 3D location with velocity

    - ### Methods inherited from interface igeo.IFieldI

      `bidirectional, constantIntensity, decay, del, gauss, gaussian, gaussianDecay, intensity, intensity, linear, linearDecay, noDecay, threshold, threshold`

- - ### Method Detail

    - #### get

          IVecI get(IVecI pos)

      get field value at 3D location
      Specified by:
        `get` in interface `IFieldI`

    - #### get

          IVecI get(IVecI pos,
                    IVecI vel)

      get field value at 3D location with velocity
      Specified by:
        `get` in interface `IFieldI`